<div class="card">
    <div class="card-header">
        <div class="row">
            <div class="col col-md-6">
                <h5 class="card-title">Rentals</h5>
            </div>
            <!-- <div class="col-md-4">
                <div class="input-group mb-3">
                    <input type="text" class="form-control" placeholder="Search" [(ngModel)]="searchTerm"
                        (input)="onSearchTermChange()">
                    <button class="btn btn-outline-secondary" type="button" (click)="searchRentals()">Search</button>
                </div>
            </div> -->
        </div>
    </div>
    <div class="card-body">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Book Name</th>
                    <th>Rental Date</th>
                    <th>Return Date</th>
                    <th>Status</th>
                    <th>User Name</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let rental of rentalList">
                    <td>{{ rental.bookName }}</td>
                    <td>{{ formatRentalDate(rental.rentalDate) }}</td>
                    <td>{{ formatRentalDate(rental.returnDate) }}</td>
                    <td>
                        <span [ngClass]="{ 'text-success': rental.status, 'text-danger': !rental.status }">
                            {{ rental.status ? 'Teslim Edildi' : 'Teslim Edilmedi' }}
                        </span>
                    </td>
                    <td>{{ rental.userName }}</td>
                </tr>
                <tr *ngIf="rentalList.length === 0">
                    <td colspan="5">No rentals found.</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>